//接口错误状态
export enum HttpStatus {
  SUCCESS = 'success', //成功
  UNAUTHORIZED = 'unauthorized', //未授权
  FORBIDDEN = 'forbidden', //禁止请求
  NOTFOUND = 'notfound', //服务器找不到请求的网页
  INVALIDARGUMENT = 'invalidargument', //其他4xx错误 代表接口错误
  INTELNETERROR = 'interneterror', // 5xx代表服务端错误
  UNIMPLEMENT = 'unimplement', //不具备请求功能
  BADGATEWAY = 'badgetway', //502网关错误
  UNAVAILABLE = 'unavailable', //服务不可用
  OTHERRROR = 'othererror', //其他类型错误
}

//请求类型
export enum HTTPTYPE {
  XHR = 'xhr',
  FETCH = 'fetch',
}

//错误码
export enum HTTP_CODE {
  BAD_REQUEST = 400,
  UNAUTHORIZED = 401,
}

//请求方式
export enum METHODS {
  Get = 'GET',
  Post = 'POST',
  Put = 'PUT',
  Delete = 'DELETE',
}

//所有事件
export enum EVENTTYPES {
  XHR = 'xhr', //xhr请求
  FETCH = 'fetch', //fetch 请求
  CLICK = 'click', //点击事件
  HISTORY = 'history', //h5 history事件
  ERROR = 'error', //错误
  HASHCHANGE = 'hashchange', //url hash change事件
  UNHANDLEDREJECTION = 'unhandledrejection', //捕获promise reject
  RESOURCE = 'resource', //资源加载错误
  DOM = 'dom', //dom渲染错误
  VUE = 'vue', //vue 错误
  REACT = 'react', //react 错误
  CUSTOM = 'custom', //自定义上报事件
  PERFORMANCE = 'performance', //浏览器性能指标
  RECORDSCREEN = 'recordScreen', //录屏
  WHITESCREEN = 'whiteScreen', //白屏
}

/**
 * 用户行为
 */
export enum USERTYPES {
  HTTP = 'http', //发起请求
  CLICK = 'click', //点击事件
  RESOURCE = 'resource_Error', //资源加载
  CODEERROR = 'code_Error', //错误码
  ROUTE = 'router', //路由跳转
  CUSTOM = 'custom', //自定义
}
